Name:           pentaho-reporting-flow-engine
Epoch:          1
Version:        0.9.4
%define		subrel 1
Release:        %mkrel 15
Summary:        Pentaho Flow Reporting Engine
License:        LGPLv2+
Group:          System/Libraries
Source0:        https://downloads.sourceforge.net/jfreereport/flow-engine-%{version}.zip

Patch0:		pentaho-reporting-flow-engine-0.9.4-remove-commons-logging.patch

URL:            https://reporting.pentaho.org/
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase
BuildRequires:  libserializer
BuildRequires:  libloader
BuildRequires:  libfonts
BuildRequires:  pentaho-libxml
BuildRequires:  xml-commons-apis
BuildRequires:  librepository
BuildRequires:  sac
BuildRequires:  flute
BuildRequires:  liblayout
BuildRequires:  libformula
Requires:       java, jpackage-utils, libbase >= 1.1.3, libfonts >= 1.1.3
Requires:       pentaho-libxml, libformula >= 1.1.3, librepository >= 1.1.3
Requires:       sac, flute, liblayout >= 0.2.10, libserializer
BuildArch:      noarch

%description
Pentaho Reporting Flow Engine is a free Java report library, formerly
known as 'JFreeReport'


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       %{name} = 1:%{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p1 -b .no_commons_logging
mkdir -p lib
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib libbase libloader \
    libfonts libxml jaxp libformula librepository sac flute liblayout \
    libserializer

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p build/lib/flow-engine.jar %{buildroot}%{_javadir}/flow-engine.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp build/api %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}


%changelog
* Mon May 02 2022 neoclust <neoclust> 1:0.9.4-15.1.mga8
+ Revision: 1855465
- Replace apache-commons-logging with java.util.logging (mga#29556)

* Wed Feb 12 2020 umeabot <umeabot> 1:0.9.4-14.mga8
+ Revision: 1492701
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.9.4-13.mga7
+ Revision: 1265675
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1:0.9.4-12.mga6
+ Revision: 930269
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.4-11.mga5
+ Revision: 747633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.4-10.mga5
+ Revision: 683404
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.9.4-9.mga4
+ Revision: 508927
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.9.4-8.mga3
+ Revision: 362752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 21 2012 kamil <kamil> 1:0.9.4-7.mga2
+ Revision: 198996
- rebuild against new libloader, libfonts, pentaho-libxml, libbase, libserializer, librepository, liblayout, libformula (everything 1.1.6)
- rebuild against new libbase-1.1.6 and new librepository-1.1.6

* Sat Jan 21 2012 kamil <kamil> 1:0.9.4-5.mga2
+ Revision: 198919
- drop gcj support
- fix group for the javadoc subpackage
- rebuild against new libserializer-1.1.6

* Sun Apr 17 2011 stormi <stormi> 1:0.9.4-4.mga1
+ Revision: 87443
- fix RPM group

* Fri Mar 18 2011 dmorgan <dmorgan> 1:0.9.4-3.mga1
+ Revision: 74264
- Fix with_gcj macro
- Rebuild withtou gcj support

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.9.4-2.mga1
+ Revision: 35547
- Adapt for mageia
- imported package pentaho-reporting-flow-engine


* Fri Jul 02 2010 Caolán McNamara <caolanm@redhat.com> 0.9.4-2
- rebuild against libserializer

* Thu Dec 03 2009 Caolán McNamara <caolanm@redhat.com> 0.9.4-1
- latest version

* Fri Jul 24 2009 Caolán McNamara <caolanm@redhat.com> 0.9.2-5.OOo31
- make javadoc no-arch when building as arch-dependant aot

* Sun Mar 29 2009 Caolán McNamara <caolanm@redhat.com> 0.9.2-4.OOo31
- wrong num

* Sat Mar 28 2009 Caolán McNamara <caolanm@redhat.com> 0.9.2-3.OOo31
- tweak version

* Mon Mar 16 2009 Caolán McNamara <caolanm@redhat.com> 0.9.2-1
- OOo tuned version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 05 2008 Caolán McNamara <caolanm@redhat.com> 0.9.3-2
- wrong liblayout version required

* Wed May 07 2008 Caolán McNamara <caolanm@redhat.com> 0.9.3-1
- initial fedora import
